# IContainerControl

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

Provides the functionality for a control to act as a parent for other controls.

{% tabs %}
{% tab title="C#" %}

```csharp
public interface IContainerControl : IContainerControl
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Interface IContainerControl
    Inherits IContainerControl
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)ActiveControl

[Control](/api/v3.0/wisej.web/general/control.md): Returns or sets the control that is active on the container control.

## Methods

### ![](/files/uCY6T77rh488FWHzpJ6P)ActivateControl(control)

Activates a specified control.

| Parameter   | Type                                              | Description |
| ----------- | ------------------------------------------------- | ----------- |
| **control** | [Control](/api/v3.0/wisej.web/general/control.md) |             |

**Returns:** [Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean). true if the control is successfully activated; otherwise, false.

## Implemented By

| Name                                                                                           | Description                                                                                                                                                           |
| ---------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [FileDialogUI](/api/v3.0/wisej.web/common-dialogs/wisej.web.filedialogui.md)                   | UI implementation for the FileDialog class.                                                                                                                           |
| [FolderBrowserDialogUI](/api/v3.0/wisej.web/common-dialogs/wisej.web.folderbrowserdialogui.md) | UI implementation for the FolderDialog class.                                                                                                                         |
| [ContainerControl](/api/v3.0/wisej.web/containers/containercontrol.md)                         | Provides focus-management functionality for controls that can function as a container for other controls.                                                             |
| [Form](/api/v3.0/wisej.web/containers/form.md)                                                 | Represents a window or dialog box that makes up an application's user interface.                                                                                      |
| [Page](/api/v3.0/wisej.web/containers/wisej.web.page.md)                                       | Represents a web page that fills the browser and acts as the main container for the application. An application can have only one active main page at any given time. |
| [SplitContainer](/api/v3.0/wisej.web/containers/splitcontainer.md)                             | Represents a control consisting of a movable bar that divides a container's display area into two resizable panels.                                                   |
| [UserControl](/api/v3.0/wisej.web/containers/wisej.web.usercontrol.md)                         | Provides an empty control that can be used to create other controls.                                                                                                  |
| [DataRepeater](/api/v3.0/wisej.web/containers/datarepeater.md)                                 | Displays data in a customizable list format.                                                                                                                          |
| [Desktop](/api/v3.0/wisej.web/containers/desktop.md)                                           | Represents a desktop container that can host floating windows.                                                                                                        |
| [UserPopup](/api/v3.0/wisej.web/containers/wisej.web.userpopup.md)                             | Provides an popup container that can be attached to other controls.                                                                                                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/interfaces/wisej.web.icontainercontrol.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
